if [ $commands[autojump] ]; then # check if autojump is installed
  if [ -f $HOME/.autojump/etc/profile.d/autojump.zsh ]; then # manual user-local installation
    source $HOME/.autojump/etc/profile.d/autojump.zsh
  elif [ -f $HOME/.autojump/share/autojump/autojump.zsh ]; then # another manual user-local installation
    source $HOME/.autojump/share/autojump/autojump.zsh
  elif [ -f $HOME/.nix-profile/etc/profile.d/autojump.sh ]; then # nix installation
    source $HOME/.nix-profile/etc/profile.d/autojump.sh
  elif [ -f /run/current-system/sw/share/autojump/autojump.zsh ]; then # nixos installation
    source /run/current-system/sw/share/autojump/autojump.zsh
  elif [ -f /usr/share/autojump/autojump.zsh ]; then # debian and ubuntu package
    source /usr/share/autojump/autojump.zsh
  elif [ -f /etc/profile.d/autojump.zsh ]; then # manual installation
    source /etc/profile.d/autojump.zsh
  elif [ -f /etc/profile.d/autojump.sh ]; then # gentoo installation
    source /etc/profile.d/autojump.sh
  elif [ -f /usr/local/share/autojump/autojump.zsh ]; then # freebsd installation
    source /usr/local/share/autojump/autojump.zsh
  elif [ -f /opt/local/etc/profile.d/autojump.sh ]; then # mac os x with ports
    source /opt/local/etc/profile.d/autojump.sh
  elif [ -f /usr/local/etc/profile.d/autojump.sh ]; then # mac os x with brew
    source /usr/local/etc/profile.d/autojump.sh
  elif [ $commands[brew] -a -f $(brew --prefix)/etc/profile.d/autojump.sh ]; then # mac os x with brew
    source $(brew --prefix)/etc/profile.d/autojump.sh
  fi
else
  echo 'Please install autojump to enable the plugin (https://github.com/wting/autojump)'
fi
